Bug 1242183 - Icons and theme incorrectly rendered with enabled OpenGL option
Summary: Icons and theme incorrectly rendered with enabled OpenGL option
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 22
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1247368
TreeView+ depends on / blocked
 
Reported: 2015-07-11 22:56 UTC by Luya Tshimbalanga
Modified: 2015-09-06 04:49 UTC (History)
7 users (show)

Fixed In Version: 4.4.5.2-5.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-06 04:49:46 UTC
Type: Bug


Attachments (Terms of Use)
Upside down check icon from Silf theme (51.84 KB, image/png)
2015-07-11 22:56 UTC, Luya Tshimbalanga
no flags Details
Rendering bug on LibreOffice (107.13 KB, image/png)
2015-08-12 03:58 UTC, Luya Tshimbalanga
no flags Details
Rendering with disabled OpenGL acceleration (108.68 KB, image/png)
2015-08-12 04:24 UTC, Luya Tshimbalanga
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Document Foundation 88831 0 None None None Never

Description Luya Tshimbalanga 2015-07-11 22:56:54 UTC
Created attachment 1051015 [details]
Upside down check icon from Silf theme

Description of problem:
Recent update of LibreOffice has a reversed check icon using the provided Silf theme 

Version-Release number of selected component (if applicable):
Always

How reproducible:
4.4.4.3

Steps to Reproduce:
1. Switch icon theme to Silf
2.
3.

Actual results:
Upside down check icon


Expected results:
Check icon should be on the right position

Additional info:
See screenshot

Comment 1 Caolan McNamara 2015-07-13 09:11:25 UTC
what's the output of 
gconftool-2 --get /desktop/gnome/interface/gtk_theme
?

Comment 2 Luya Tshimbalanga 2015-07-14 08:30:12 UTC
(In reply to Caolan McNamara from comment #1)
> what's the output of 
> gconftool-2 --get /desktop/gnome/interface/gtk_theme
> ?

$ gconftool-2 --get /desktop/gnome/interface/gtk_theme
Clearlooks

Comment 3 Caolan McNamara 2015-07-14 11:33:17 UTC
That's odd. I have Clearlooks and my check icons are just fine. The blue highlight on your tabs is also at the bottom when it should be at the top.

Are you using kde and if so what is the output of...
rpm -q libreoffice-kde
?

Comment 4 Luya Tshimbalanga 2015-07-14 15:32:19 UTC
(In reply to Caolan McNamara from comment #3)

> Are you using kde and if so what is the output of...
> rpm -q libreoffice-kde
> ?

No, plain stock Gnome Shell.

$ rpm -q libreoffice-kde
package libreoffice-kde is not installed

Comment 5 Luya Tshimbalanga 2015-07-14 22:58:29 UTC
Looking deeper, the only KDE package is kde-filesystem. The inverted check icon also occurs on any theme including Tango. I successfully reproduced the bug on Gnome Wayland.

My laptop uses Dual Radeon hybrid cards and runs on AMD A10 Quad Core. My theory will be possibly a driver issue of some sort or possibly a problem of rendering affecting some drivers. Before that, I was unable run any LibreOffice application on https://bugzilla.redhat.com/show_bug.cgi?id=1210931.

I hope that will give some information.

Comment 6 Luya Tshimbalanga 2015-08-12 03:58:46 UTC
Created attachment 1061787 [details]
Rendering bug on LibreOffice

I have updated to 4.4.5.2. The rendering bug of icons still occurs noticeable with inverted check. Not sure if the bug is driver related. I include the hardware information if needed:

Processor: AMD A10-7400P Radeon R6 10 Compute Cores 4C+6G @ 2.50GHz (4 Cores), Motherboard: ASUS X550ZE v1.0, 
Chipset: AMD Family 15h, 
Memory: 7168MB, 
Disk: 1000GB Seagate ST1000LM024 HN-M, 
Graphics: ASUS AMD Radeon R6 1024MB,

Comment 7 Luya Tshimbalanga 2015-08-12 04:24:06 UTC
Created attachment 1061789 [details]
Rendering with disabled OpenGL acceleration

After a deeper investigation, the culprit is the use of OpenGL from Graphic Output (see the attached picture on Comment #6). Disabling that option restores the correct rendering. The OpenGL issues is likely driver related.

Comment 8 Caolan McNamara 2015-08-13 13:03:52 UTC
I can reproduce with opengl enabled

Comment 9 Fedora Update System 2015-08-18 07:23:40 UTC
libreoffice-4.4.5.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libreoffice-4.4.5.2-2.fc22

Comment 10 Fedora Update System 2015-08-19 07:56:45 UTC
Package libreoffice-4.4.5.2-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.4.5.2-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13629/libreoffice-4.4.5.2-2.fc22
then log in and leave karma (feedback).

Comment 11 Luya Tshimbalanga 2015-08-26 23:07:34 UTC
The update fixed the incorrect rendering of icons.

Comment 12 Fedora Update System 2015-08-28 18:57:34 UTC
libreoffice-4.4.5.2-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libreoffice'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14469

Comment 13 Fedora Update System 2015-09-01 09:58:22 UTC
libreoffice-4.4.5.2-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libreoffice'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14631

Comment 14 Fedora Update System 2015-09-04 07:30:02 UTC
libreoffice-4.4.5.2-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libreoffice'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14942

Comment 15 Fedora Update System 2015-09-06 04:49:42 UTC
libreoffice-4.4.5.2-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.